cowboy_req:path_info(3)

NAME

cowboy_req:path_info - Access the route's trailing path segments

DESCRIPTION
    path_info(Req :: cowboy_req:req()) -> cowboy_router:tokens()

Return the tokens for the trailing path segments.

This is the part of the host name that was matched using the ... notation.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

The tokens are returned as a list of case sensitive binary strings.

CHANGELOG
    • 2.0: Only the tokens are returned, they are no longer wrapped in a tuple.
    • 1.0: Function introduced.

EXAMPLES

Get the path_info tokens
    PathInfo = cowboy_req:path_info(Req).

SEE ALSO

cowboy_req(3), cowboy_req:binding(3), cowboy_req:bindings(3), cowboy_req:host_info(3), cowboy_router(3)